Bug 20018 - use Modern::Perl in offline circulation perl scripts
Summary: use Modern::Perl in offline circulation perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zoe Bennett
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 20:09 UTC by Aleisha Amohia
Modified: 2018-02-16 01:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;' (2.33 KB, patch)
2018-01-18 03:34 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;' (2.38 KB, patch)
2018-01-24 18:52 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20018: Changing 'use strict; use warnings;' to 'use Modern::Perl;' (2.47 KB, patch)
2018-02-04 13:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 20:09:33 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
enqueue_koc.pl
list.pl
process.pl
process_koc.pl
service.pl
Comment 1 Zoe Bennett 2018-01-18 03:34:49 UTC
Created attachment 70674 [details] [review]
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins perl scripts

enqueue_koc.pl
list.pl
process.pl
process_koc.pl
service.pl
Comment 2 Jon Knight 2018-01-24 18:52:49 UTC
Created attachment 70901 [details] [review]
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins perl scripts

enqueue_koc.pl
list.pl
process.pl
process_koc.pl
service.pl

https://bugs.koha-community.org/show_bug.cgi?id=20018
Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 3 Katrin Fischer 2018-02-04 13:11:37 UTC
Created attachment 71181 [details] [review]
Bug 20018: Changing 'use strict; use warnings;' to 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins perl scripts

enqueue_koc.pl
list.pl
process.pl
process_koc.pl
service.pl

https://bugs.koha-community.org/show_bug.cgi?id=20018
Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2018-02-04 13:16:18 UTC
Good job! Please always be careful to write the right bug number in the commit message as this will be used to generate the release notes. Fixed it here.
Comment 5 Jonathan Druart 2018-02-05 13:00:11 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 01:01:11 UTC
Awesome work all! Enhancement not backported to stable.